package com.ssj.service.kmt.request;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

public class TestPointRequest extends BaseRequest {

    private static final long serialVersionUID = -5311566031615613726L;

    @ApiModelProperty(name = "versionType", value = "知识点版本号")
    private int versionType;

    @ApiModelProperty(name = "semester", value = "上下册")
    private int semester;

    @ApiModelProperty(name = "grade", value = "年级")
    private String grade;

    @ApiModelProperty(name = "subject", value = "科目")
    private String subject;

    @ApiModelProperty(name = "moduleType", value = "1同步2专题，默认同步")
    private int moduleType = 1;

    @ApiModelProperty(name = "detailIds", value = "知识点id列表", required = true)
    private List<String> detailIds;

    public int getVersionType() {
        return versionType;
    }

    public void setVersionType(int versionType) {
        this.versionType = versionType;
    }

    public List<String> getDetailIds() {
        return detailIds;
    }

    public void setDetailIds(List<String> detailIds) {
        this.detailIds = detailIds;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getModuleType() {
        return moduleType;
    }

    public void setModuleType(int moduleType) {
        this.moduleType = moduleType;
    }
}
